﻿using Infragistics.Controls.Grids;
using Infragistics.Controls.Grids.Primitives;
using Infragistics.Documents.Excel;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Markup;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

namespace XamSpreadSheetFeatures
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();
        }
      
        private void xamSpreadSheet1_KeyDown(object sender, KeyEventArgs e)
        {
            if (e.Key == Key.Insert && (Keyboard.Modifiers & ModifierKeys.Control) == ModifierKeys.Control)
            {
                SpreadsheetCommand cmd = new SpreadsheetCommand(SpreadsheetCommandType.Copy);
                cmd.Execute(xamSpreadSheet1);
            }
            else if (e.Key == Key.Insert && (Keyboard.Modifiers & ModifierKeys.Shift) == ModifierKeys.Shift)
            {
                SpreadsheetCommand cmd = new SpreadsheetCommand(SpreadsheetCommandType.Paste);
                cmd.Execute(xamSpreadSheet1);
            }
        }
    }      
}
